#!/bin/bash
#
# This is the post installation script. This should be executed only after
# install.sh has been executed completly and the system has been rebooted
# after that.
#
# This script installs npm packages.
#
# Author: Severin Kaderli <severin.kaderli@gmail.com>
# Usage: ./post-install.sh
. utils.sh

#######################################
# Configuration variables
#######################################
# Array of npm packages which should be installed globally
NPM_PACKAGES=(
    "@vue/cli"
    "gatsby-cli"
    "npm-check-updates"
)

#######################################
# Main code
#######################################
# Install global npm packages
print_header "Installing global npm packages"
npm i -g "${NPM_PACKAGES[@]}"